# Invite a guest
Source: https://docs.lomi.africa/api/events/EventsApiController_invite

Invite a guest

***

title: "Invite a guest"
description: "Invite a guest"
full: true
method: post
path: /events/{id}/invites
operationId: EventsApiController\_invite
----------------------------------------

## Overview

Emails tickets with no charge. The guest is saved as a customer. Requires Ticketing. count is 1 to 20.

## Authentication

Merchant routes require an API key in the `X-API-KEY` header. Use a test key against `https://sandbox.api.lomi.africa` and a live key against `https://api.lomi.africa`.

## Endpoint

`POST /events/{id}/invites`

## Request

### Path parameters

| Name | Required | Schema   | Description |
| ---- | -------- | -------- | ----------- |
| `id` | Yes      | `string` | Event id    |

### Request body

`count` is 1 to 20.

| Field   | Required | Type      | Description |
| ------- | -------- | --------- | ----------- |
| `name`  | Yes      | `string`  | -           |
| `email` | Yes      | `string`  | -           |
| `count` | No       | `integer` | -           |

## Responses

| Status | Description      |
| ------ | ---------------- |
| `200`  | Success          |
| `403`  | Ticketing is off |

## Errors

**403** means Ticketing is off. **401** means the API key is missing or invalid. **404** means this event is not in the organization. **429** means too many requests.

## Example

```bash
curl -sS -X POST "https://sandbox.api.lomi.africa/events/evt_EXAMPLE/invites" \
  -H "X-API-KEY: $LOMI_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Awa","email":"awa@example.com","count":1}'
```

## OpenAPI

* **operationId**: `EventsApiController_invite`
* **Operation**: `POST /events/{id}/invites`
